# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Don't really need a bleeding-edge Module::Build::Tiny
%global old_mbt %(perl -MModule::Build::Tiny -e 'print (($Module::Build::Tiny::VERSION < 0.039) ? 1 : 0);' 2>/dev/null || echo 0)

# noarch, but to avoid debug* files interfering with manifest test:
%global debug_package %{nil}

Name:		perl-Test-DistManifest
Version:	1.014
Release:	5.%{__distinit}%{__distvers}
Summary:	Author test that validates a package MANIFEST
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-DistManifest/
Source0:	http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/Test-DistManifest-%{version}.tar.gz
Patch0:		Test-DistManifest-1.014-old-M:B:T.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# ===================================================================
# Module build requirements
# ===================================================================
BuildRequires:	coreutils
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(Module::Build::Tiny) >= 0.030
# ===================================================================
# Module requirements
# ===================================================================
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::Manifest)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Unix)
BuildRequires:	perl(Module::Manifest) >= 0.07
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(warnings)
# ===================================================================
# Regular test requirements
# ===================================================================
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(if)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
# ===================================================================
# Dependencies
# ===================================================================
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module provides a simple method of testing that a MANIFEST matches the
distribution.

%prep
%setup -q -n Test-DistManifest-%{version}

# Don't really need a bleeding-edge Module::Build::Tiny
%if %{old_mbt}
%patch0
%endif

%build
perl Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install --destdir=%{buildroot} --create_packlist=0

%check
./Build test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes CONTRIBUTING README examples/
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::DistManifest.3*

%changelog
* Fri Sep 30 2016 Paul Howarth <paul@city-fan.org> - 1.014-5
- BR: perl-generators where available

* Wed Feb 11 2015 Paul Howarth <paul@city-fan.org> - 1.014-1
- Update to 1.014
  - Fix tests that fail when ExtUtils::Manifest's version is not new enough for
    the build output during installation (CPAN RT#102017)
- Drop workaround for CPAN RT#102017

* Mon Feb  9 2015 Paul Howarth <paul@city-fan.org> - 1.013-1
- Update to 1.013
  - Tests are now made against a small sample dist, rather than ourselves, to
    avoid errors with newer ExtUtils::MakeMaker, as well as enable running in
    the raw git repository (CPAN RT#78760, CPAN RT#101287)
  - Many tooling and metadata updates
- Switch to Module::Build::Tiny flow
- Don't bother with the extra tests, since Module::Build::Tiny doesn't provide
  a simple way to run them
- Work around non-skipped files generated during the build process with older
  versions of ExtUtils::Manifest (CPAN RT#102017)

* Wed Sep 17 2014 Paul Howarth <paul@city-fan.org> - 1.012-8
- Drop support for building with ExtUtils::MakeMaker < 6.30
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible
- Specify all dependencies

* Sun Jul 15 2012 Paul Howarth <paul@city-fan.org> - 1.012-2
- Drop BR: perl(File::Find), not dual-lived
- Specify version requirements for Test::Pod and Test::Pod::Coverage

* Mon Apr 23 2012 Paul Howarth <paul@city-fan.org> - 1.012-1
- Update to 1.012
  - Now taking default MANIFEST.SKIP content directly from installed version
    of ExtUtils::Manifest, rather than inlining a copy
- This release by ETHER -> update source URL
- BR: perl(Carp), perl(Cwd), perl(ExtUtils::Manifest)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
- Update patch for building with old ExtUtils::MakeMaker versions

* Sun Aug  7 2011 Paul Howarth <paul@city-fan.org> - 1.011-4
- Import from Fedora

* Mon Jul 25 2011 Iain Arnell <iarnell@gmail.com> - 1.011-3
- Update filtering for rpm 4.9

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.011-2
- Perl mass rebuild

* Wed Apr 27 2011 Petr Pisar <ppisar@redhat.com> - 1.011-1
- 1.011 bump
- Move to ExtUtils::MakeMaker

* Tue Jan 25 2011 Petr Pisar <ppisar@redhat.com> - 1.009-1
- Specfile autogenerated by cpanspec 1.78
- Remove BuildRoot stuff
- Install into perl core directory
- Hack %%check for rpmbuild bug #672538
